org.eclipse.cdt.core.cdtvariables

## Class CdtVariableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.cdt.core.cdtvariables.CdtVariableException

All Implemented Interfaces:
  Serializable

    public class CdtVariableException
    extends org.eclipse.core.runtime.CoreException

This exception is thrown in the case of some build macros-related operation failure The exception typically contains one or more IBuildMacroStatus statuses

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CdtVariableException(int code, String macroName, String expression, String referencedName)` Creates an exception containing a single IBuildMacroStatus status with the IStatus.ERROR severity and with the default message
`CdtVariableException(int code, String message, Throwable exception, String macroName, String expression, String referencedName)` Creates an exception containing a single IBuildMacroStatus status with the IStatus.ERROR severity
`CdtVariableException(org.eclipse.core.runtime.IStatus status)` Creates a new exception with the given status object.

### Method Summary

All Methods Instance Methods Concrete Methods
`ICdtVariableStatus[]` `getVariableStatuses()` Returns an array of the IBuildMacroStatus statuses this exception holds

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CdtVariableException

    public CdtVariableException(org.eclipse.core.runtime.IStatus status)

Creates a new exception with the given status object.

Parameters:
  `status` - the status object to be associated with this exception. Typically this is either the IBuildMacroStatus or the MultiStatus that holds the list of the IBuildMacroStatus statuses

#### CdtVariableException

    public CdtVariableException(int code,
                                String message,
                                Throwable exception,
                                String macroName,
                                String expression,
                                String referencedName)

Creates an exception containing a single IBuildMacroStatus status with the IStatus.ERROR severity

Parameters:
  `code` - one of the IBuildMacroStatus.TYPE_xxx statusses
  `message` - message, can be null. In this case the default message will be generated base upon the other status info
  `exception` - a low-level exception, or `null` if not applicable
  `macroName` - the name of the build macro whose resolution caused this status creation or null if none
  `expression` - the string whose resolutinon caused caused this status creation or null if none
  `referencedName` - the macro name referenced in the resolution string that caused this this status creation or null if none

#### CdtVariableException

    public CdtVariableException(int code,
                                String macroName,
                                String expression,
                                String referencedName)

Creates an exception containing a single IBuildMacroStatus status with the IStatus.ERROR severity and with the default message

Parameters:
  `code` - one of the IBuildMacroStatus.TYPE_xxx statusses
  `macroName` - the name of the build macro whose resolution caused this status creation or null if none
  `expression` - the string whose resolutinon caused caused this status creation or null if none
  `referencedName` - the macro name referenced in the resolution string that caused this this status creation or null if none

### Method Detail

#### getVariableStatuses

    public ICdtVariableStatus[] getVariableStatuses()

Returns an array of the IBuildMacroStatus statuses this exception holds

Returns:
  IBuildMacroStatus[]